package cn.hanghui.outapi.platform.tenant.entity.dto.hhomc;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhomc
 * @class HhOmcDeviceBase
 * @date 2024/12/31 上午10:42
 * @description
 */
@Data
public class HhOmcDeviceBase implements Serializable {

    @ApiModelProperty(value = "应用类型id")
    private Long applicationTypeId;
    @ApiModelProperty(value = "设备型号(硬件)id")
    private Long deviceModelHardwareId;
    @ApiModelProperty(value = "设备型号(环境)id")
    private Long deviceModelEnvironmentId;
    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS")
    private Integer systemTypeCode;
    @ApiModelProperty(value = "ota平台ws地址")
    private String websocketSubscribeUrl;

}
