package cn.hanghui.outapi.platform.common.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.common.entity.dto
 * @class PcLoginDto
 * @date 2023/4/23 上午9:14
 * @description
 */
@Data
@ApiModel(value = "登录获取手机验证码")
public class PcLoginCodeDto {

    @ApiModelProperty(value = "账号名称", required = true)
    @NotBlank(message = "账号名称不能为空")
    private String username;


    @ApiModelProperty(value = "手机号", required = true)
    @NotBlank(message = "手机号不能为空")
    private String phone;


}
