package cn.hanghui.outapi.platform.tenant.entity.dto.hhomc;

import cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal.HhLocalDeviceBase;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhomc
 * @class HhOmcDeviceTemplateVo
 * @date 2024/9/25 上午9:28
 * @description
 */
@Data
public class HhOmcDeviceTemplateVo extends HhOmcDeviceBase {

    @ApiModelProperty(value = "设备模版id")
    private Long deviceTemplateId;
    @ApiModelProperty(value = "模版名称")
    private String templateName;

    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "设备型号(环境)")
    private String deviceModelEnvironment;
    @ApiModelProperty(value = "系统类型")
    private String systemType;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
